------------------------------------------------
-- DDL Statements for TRIGGER TRU_ALERT
------------------------------------------------
DROP TRIGGER TRU_ALERT@

CREATE TRIGGER TRU_ALERT
  AFTER UPDATE OF 
	  ALERT_VERSION_NBR
  ON FCM_ALERT
  REFERENCING
              NEW AS NEW
              OLD AS OLD
  FOR EACH ROW
 WHEN (NEW.ALERT_VERSION_NBR <> OLD.ALERT_VERSION_NBR)  
BEGIN ATOMIC
	INSERT INTO FSX_ALERT 	(
	  ALERT_ID,
	  ALERT_VERSION_NBR,
	  ALERT_VALUE,
	  ALERT_TYPE,
	  MULTI_ORG_ID,
	  CONTACT_VALUE,
	  CONTACT_TYPE,
	  PARENT_ALERT_VALUE,
	  PARENT_ALERT_TYPE,
	  QUEUE_ID,
	  BASE_RULE_ID,
	  RULE_VERSION_NBR,
	  RESULT_ID,
	  ALERT_STATUS,
	  GMT_OFFSET,
	  FRAUD_TYPE_CODE,
	  PEND_REASON_CODE,
	  FRAUD_SCORE,
	  FRAUD_SCORE_REASON_CODE_1,
	  FRAUD_SCORE_REASON_CODE_2,
	  FRAUD_SCORE_REASON_CODE_3,
	  INIT_FRAUD_SCORE,
	  INIT_FRAUD_SCORE_REASON_CODE_1,
	  INIT_FRAUD_SCORE_REASON_CODE_2,
	  INIT_FRAUD_SCORE_REASON_CODE_3,
	  INIT_CMX_TRAN_ID,
	  INIT_SMH_ACCT_TYPE,
	  INIT_SMH_ACTIVITY_TYPE,
	  HWM_FRAUD_SCORE,
	  HWM_FRAUD_SCORE_REASON_CODE_1,
	  HWM_FRAUD_SCORE_REASON_CODE_2,
	  HWM_FRAUD_SCORE_REASON_CODE_3,
	  ALERT_SERVICE_CNT,
	  ALERT_ORIGIN,
	  INIT_TRANSACTION_AMT,
	  INIT_TRANSACTION_TIMESTAMP,
	  LST_TRANSACTION_AMT,
	  LST_TRANSACTION_TIMESTAMP,
	  INIT_TRANSACTION_MOD_AMT,
	  LST_TRANSACTION_MOD_AMT,
	  USER_SERVICE_TIMESTAMP,
	  SYSTEM_SERVICE_TIMESTAMP,
	  NEXT_SERVICE_TIMESTAMP,
	  QUEUE_ENTRY_TIMESTAMP,
	  FINAL_DISPOSITION_TIMESTAMP,
	  CHECKOUT_USER,
	  CHECKOUT_TIMESTAMP,
	  PAUSE_TIMESTAMP,
	  PAUSE_ELAPSED_TIME,
	  SRC_ALERT_ID,
	  SRC_ALERT_VERSION_NBR,
	  SRC_ALERT_TYPE,
	  CREATE_USER,
	  CREATE_TIMESTAMP,
	  LSTUPDT_USER,
	  LSTUPDT_TIMESTAMP,
	  LSTUPDT_NBR,
	  LOGICAL_DEL_IND,
	  FSX_ACTION_TYPE,
	  FSX_CREATE_TIMESTAMP) 
	values (
	  OLD.ALERT_ID,
	  OLD.ALERT_VERSION_NBR,
	  OLD.ALERT_VALUE,
	  OLD.ALERT_TYPE,
	  OLD.MULTI_ORG_ID,
	  OLD.CONTACT_VALUE,
	  OLD.CONTACT_TYPE,
	  OLD.PARENT_ALERT_VALUE,
	  OLD.PARENT_ALERT_TYPE,
	  OLD.QUEUE_ID,
	  OLD.BASE_RULE_ID,
	  OLD.RULE_VERSION_NBR,
	  OLD.RESULT_ID,
	  OLD.ALERT_STATUS,
	  OLD.GMT_OFFSET,
	  OLD.FRAUD_TYPE_CODE,
	  OLD.PEND_REASON_CODE,
	  OLD.FRAUD_SCORE,
	  OLD.FRAUD_SCORE_REASON_CODE_1,
	  OLD.FRAUD_SCORE_REASON_CODE_2,
	  OLD.FRAUD_SCORE_REASON_CODE_3,
	  OLD.INIT_FRAUD_SCORE,
	  OLD.INIT_FRAUD_SCORE_REASON_CODE_1,
	  OLD.INIT_FRAUD_SCORE_REASON_CODE_2,
	  OLD.INIT_FRAUD_SCORE_REASON_CODE_3,
	  OLD.INIT_CMX_TRAN_ID,
	  OLD.INIT_SMH_ACCT_TYPE,
	  OLD.INIT_SMH_ACTIVITY_TYPE,
	  OLD.HWM_FRAUD_SCORE,
	  OLD.HWM_FRAUD_SCORE_REASON_CODE_1,
	  OLD.HWM_FRAUD_SCORE_REASON_CODE_2,
	  OLD.HWM_FRAUD_SCORE_REASON_CODE_3,
	  OLD.ALERT_SERVICE_CNT,
	  OLD.ALERT_ORIGIN,
	  OLD.INIT_TRANSACTION_AMT,
	  OLD.INIT_TRANSACTION_TIMESTAMP,
	  OLD.LST_TRANSACTION_AMT,
	  OLD.LST_TRANSACTION_TIMESTAMP,
	  OLD.INIT_TRANSACTION_MOD_AMT,
	  OLD.LST_TRANSACTION_MOD_AMT,
	  OLD.USER_SERVICE_TIMESTAMP,
	  OLD.SYSTEM_SERVICE_TIMESTAMP,
	  OLD.NEXT_SERVICE_TIMESTAMP,
	  OLD.QUEUE_ENTRY_TIMESTAMP,
	  OLD.FINAL_DISPOSITION_TIMESTAMP,
	  OLD.CHECKOUT_USER,
	  OLD.CHECKOUT_TIMESTAMP,
	  OLD.PAUSE_TIMESTAMP,
	  OLD.PAUSE_ELAPSED_TIME,
	  OLD.SRC_ALERT_ID,
	  OLD.SRC_ALERT_VERSION_NBR,
	  OLD.SRC_ALERT_TYPE,  
	  OLD.CREATE_USER,
	  OLD.CREATE_TIMESTAMP,
	  OLD.LSTUPDT_USER,
	  OLD.LSTUPDT_TIMESTAMP,
	  OLD.LSTUPDT_NBR,
	  OLD.LOGICAL_DEL_IND,
	  'UPDATE',
	  CURRENT TIMESTAMP
	);
END@
